Bug 1731645 - unlockin impossible after a sshfs stalled
Summary: unlockin impossible after a sshfs stalled
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-20 10:06 UTC by Patrick
Modified: 2020-05-26 17:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:56:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick 2019-07-20 10:06:27 UTC
Description of problem:


Version-Release number of selected component (if applicable): fedora 30


How reproducible:
systematics

Steps to Reproduce:
Using gnome org
1. Having a sshfs connection to an external machine
2. Locking the screen
3. Unplugging the network cable
4. Trying to Unlocking the screen, but it is frozen (the wheels rotate, and only the mouse pointer is visible)

Replugging the network let unlock the screen except if the sshfs connexion is stalled.
From a terminal, running kill -HUP, let me to also the unlock the screen.

I has been reproduce at least on 2 machines fedora 30.

Actual results:


Expected results:


Additional info:
30

Comment 1 Patrick 2019-09-15 11:10:51 UTC
I did not see any feedback about this bug.
It is this here and annoying

Comment 2 Patrick 2019-11-28 11:27:47 UTC
To reproduce the bug (fedora 30)
1) Create a sshfs on a remote machine from your home directory (sshfs user@machine:/home/dir ~/SSHFS)
2) Lock the screen (I use gnome)
3) Unplug the internet cable fo your machine for example 
4) Wait a minute and replug the cable
5) Try to log back in your gnome session.
After I enter the password, the time wheel froze and nothing happen anymore
You can log on the machine through a stty, and kill the gnome-session to have a new graphic session.
After that it may happen that you cannot make the same sshfs again without restarting the machine.

Comment 3 Patrick 2019-11-28 17:45:32 UTC
Sorry, there is a mistake in my previous message:

Here is the new procedure
1) Create a sshfs on a remote machine from the home directory (sshfs user@machine:/home/dir ~/SSHFS)
2) Lock the screen (under gnome)
3) Unplug the internet cable of your machine for example (or stall the internet connection, by another way)
4) Try to login back into the gnome session.
After entering the password, the time wheel froze and nothing happens any more
login on the machine is possible through a terminal tty, but a ls command must also fail (because of ~/SSHFS)
Reconnect the internet cable can re-establish the connection nad let login normally.
But, if the connection cannot be unstalled, there is not way to login properly, unmounting the sshfs properly seems impossible.
It may require to kill the gnome-session, or worst to restart the machine.

Comment 4 Ben Cotton 2020-04-30 20:40:38 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 17:56:55 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.